> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao Seed 2.0 - Référence API complète

> - 使用 OpenAI SDK 格式调用 Doubao Seed 2.0 系列模型
- 同步处理模式，实时返回对话内容
- **纯文本对话**：单轮或多轮上下文对话
- **系统提示词**：自定义 AI 的角色和行为
- **多模态输入**：支持文本 + 图像 + 视频混合输入
- **深度思考**：支持开启思维链模式进行深度推理
- **工具调用**：支持 Function Calling
- **结构化输出**：支持 JSON Object / JSON Schema 格式输出
- 💡 快速上手？查看 [快速开始文档](./doubao-seed-2.0-quickstart)

<Note>
  **BaseURL** : La BaseURL par défaut est `https://direct.evolink.ai`, qui offre une meilleure prise en charge des modèles de texte et des connexions persistantes. `https://api.evolink.ai` est le point d'accès principal pour les services multimodaux et sert d'adresse de secours pour les modèles de texte.
</Note>


## OpenAPI

````yaml fr/api-manual/language-series/doubao-seed-2.0/doubao-seed-2.0-reference.json POST /v1/chat/completions
openapi: 3.1.0
info:
  title: Référence complète de l'API Doubao Seed 2.0
  description: >-
    Référence API complète pour l'interface de chat Doubao Seed 2.0, incluant
    tous les paramètres et fonctionnalités avancées
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://direct.evolink.ai
    description: Production (recommandée)
  - url: https://api.evolink.ai
    description: URL alternative
security:
  - bearerAuth: []
tags:
  - name: Génération de chat
    description: APIs liées à la génération de chat IA
paths:
  /v1/chat/completions:
    post:
      tags:
        - Génération de chat
      summary: Interface de chat Doubao Seed 2.0
      description: |-
        - 使用 OpenAI SDK 格式调用 Doubao Seed 2.0 系列模型
        - 同步处理模式，实时返回对话内容
        - **纯文本对话**：单轮或多轮上下文对话
        - **系统提示词**：自定义 AI 的角色和行为
        - **多模态输入**：支持文本 + 图像 + 视频混合输入
        - **深度思考**：支持开启思维链模式进行深度推理
        - **工具调用**：支持 Function Calling
        - **结构化输出**：支持 JSON Object / JSON Schema 格式输出
        - 💡 快速上手？查看 [快速开始文档](./doubao-seed-2.0-quickstart)
      operationId: createChatCompletionDoubaoSeed20
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChatCompletionRequest'
            examples:
              simple_text:
                summary: 单轮文本对话
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content: Veuillez vous présenter
              multi_turn:
                summary: 多轮对话（上下文理解）
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content: Qu'est-ce que Python ?
                    - role: assistant
                      content: Python est un langage de programmation de haut niveau...
                    - role: user
                      content: Quels sont ses avantages ?
              system_prompt:
                summary: 使用系统提示词
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: system
                      content: 你是一个专业的Python编程助手，用简洁的语言回答问题。
                    - role: user
                      content: 如何读取文件？
              vision:
                summary: 多模态输入（文本 + 图像）
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content:
                        - type: text
                          text: 请详细描述这张图片中的场景和主要元素。
                        - type: image_url
                          image_url:
                            url: https://example.com/image.png
              thinking_mode:
                summary: 开启深度思考模式
                value:
                  model: doubao-seed-2.0-pro
                  messages:
                    - role: user
                      content: 证明根号2是无理数
                  thinking:
                    type: enabled
                  max_completion_tokens: 16384
              code_generation:
                summary: 使用代码专用模型
                value:
                  model: doubao-seed-2.0-code
                  messages:
                    - role: system
                      content: 你是一个高级编程助手。
                    - role: user
                      content: 用 Python 实现一个快速排序算法
      responses:
        '200':
          description: Génération de chat réussie
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChatCompletionResponse'
        '400':
          description: Paramètres de requête invalides
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 400
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: Non authentifié, token invalide ou expiré
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 401
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: Quota insuffisant, rechargement nécessaire
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 402
                  message: Insufficient quota
                  type: insufficient_quota_error
                  fallback_suggestion: https://evolink.ai/dashboard/billing
        '403':
          description: Accès non autorisé
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 403
                  message: Access denied for this model
                  type: permission_error
                  param: model
        '404':
          description: Ressource introuvable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 404
                  message: Specified model not found
                  type: not_found_error
                  param: model
                  fallback_suggestion: doubao-seed-2.0-pro
        '413':
          description: 请求体过大
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 413
                  message: Image file too large
                  type: request_too_large_error
                  param: content
                  fallback_suggestion: compress image to under 10MB
        '429':
          description: Limite de fréquence de requêtes dépassée
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 429
                  message: Rate limit exceeded
                  type: rate_limit_error
                  fallback_suggestion: retry after 60 seconds
        '500':
          description: Erreur interne du serveur
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 500
                  message: Internal server error
                  type: internal_server_error
                  fallback_suggestion: try again later
        '502':
          description: Erreur du service en amont
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 502
                  message: Upstream AI service unavailable
                  type: upstream_error
                  fallback_suggestion: try different model
        '503':
          description: Service temporairement indisponible
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 503
                  message: Service temporarily unavailable
                  type: service_unavailable_error
                  fallback_suggestion: retry after 30 seconds
components:
  schemas:
    ChatCompletionRequest:
      type: object
      required:
        - model
        - messages
      properties:
        model:
          type: string
          description: |-
            对话模型名称

            - `doubao-seed-2.0-pro`: 旗舰版，综合能力最强，适合复杂推理和高质量生成
            - `doubao-seed-2.0-lite`: 轻量版，速度更快，性价比高
            - `doubao-seed-2.0-mini`: 极速版，响应最快，适合简单任务
            - `doubao-seed-2.0-code`: 代码专用版，针对代码生成和理解优化
          enum:
            - doubao-seed-2.0-pro
            - doubao-seed-2.0-lite
            - doubao-seed-2.0-mini
            - doubao-seed-2.0-code
          default: doubao-seed-2.0-pro
          example: doubao-seed-2.0-pro
        messages:
          type: array
          description: 对话消息列表，支持多轮对话和多模态输入（文本、图片、视频）
          items:
            $ref: '#/components/schemas/Message'
          minItems: 1
        thinking:
          type: object
          description: |-
            控制模型是否开启深度思考模式

            不同模型是否支持以及默认取值不同
          properties:
            type:
              type: string
              description: |-
                思考模式

                - `enabled`: 开启思考模式，模型强制先思考再回答
                - `disabled`: 关闭思考模式，模型直接回答问题，不进行思考
                - `auto`: 自动思考模式，模型根据问题自主判断是否需要思考
              enum:
                - enabled
                - disabled
                - auto
              example: enabled
          required:
            - type
        stream:
          type: boolean
          description: >-
            响应内容是否流式返回


            - `false`: 模型生成完所有内容后一次性返回结果

            - `true`: 按 SSE 协议逐块返回模型生成内容，并以一条 `data: [DONE]` 消息结束。当 stream 为
            true 时，可设置 stream_options 字段以获取 token 用量统计信息
          default: false
          example: false
        stream_options:
          type: object
          nullable: true
          description: 流式响应的选项。当 stream 为 true 时，可设置此字段
          properties:
            include_usage:
              type: boolean
              nullable: true
              description: >-
                模型流式输出时，是否在输出结束前输出本次请求的 token 用量信息


                - `true`: 在 `data: [DONE]` 消息之前会返回一个额外的 chunk，其 usage 字段中输出整个请求的
                token 用量，choices 字段为空数组

                - `false`: 输出结束前，没有 chunk 来返回 token 用量信息
              default: false
              example: true
            chunk_include_usage:
              type: boolean
              nullable: true
              description: |-
                模型流式输出时，输出的每个 chunk 中是否输出本次请求到此 chunk 输出时刻的累计 token 用量信息

                - `true`: 在返回的 usage 字段中，输出本次请求到此 chunk 输出时刻的累计 token 用量
                - `false`: 不在每个 chunk 都返回 token 用量信息
              default: false
        max_tokens:
          type: integer
          nullable: true
          description: |-
            模型回答最大长度（单位 token）

            **注意**:
            - 模型回答不包含思维链内容（模型回答 = 模型输出 - 模型思维链）
            - 输出 token 的总长度还受模型的上下文长度限制
            - 不可与 max_completion_tokens 同时设置
          default: 4096
          example: 4096
        max_completion_tokens:
          type: integer
          nullable: true
          description: |-
            控制模型输出的最大长度，包括模型回答和思维链内容长度（单位 token）

            **说明**:
            - 取值范围: [0, 65536]
            - 配置后 max_tokens 默认值失效，模型按需输出内容（回答和思维链），直到达到此值
            - 不可与 max_tokens 同时设置
            - 建议在开启深度思考模式时使用此参数
          minimum: 0
          maximum: 65536
          example: 16384
        temperature:
          type: number
          nullable: true
          description: |-
            采样温度，控制输出的随机性

            **说明**:
            - 取值范围: [0, 2]
            - 较低值 (如 0.2): 更确定、更聚焦的输出
            - 较高值 (如 0.8): 更随机、更有创意的输出
            - 取值为 0 时模型仅考虑对数概率最大的一个 token
            - 建议仅调整 temperature 或 top_p 其中之一
          minimum: 0
          maximum: 2
          default: 1
          example: 0.7
        top_p:
          type: number
          nullable: true
          description: |-
            核采样概率阈值

            **说明**:
            - 取值范围: [0, 1]
            - 模型会考虑概率质量在 top_p 内的 token 结果
            - 0.1 意味着只考虑概率质量最高的前 10% 的 token
            - 取值越大生成的随机性越高，取值越低生成的确定性越高
            - 建议仅调整 temperature 或 top_p 其中之一
          minimum: 0
          maximum: 1
          default: 0.7
          example: 0.9
        stop:
          description: |-
            模型遇到 stop 字段所指定的字符串时将停止继续生成，这个词语本身不会输出。最多支持 4 个字符串

            **注意**: 深度思考模型不支持该字段
          nullable: true
          oneOf:
            - type: string
            - type: array
              items:
                type: string
              maxItems: 4
          example:
            - 你好
            - 天气
        reasoning_effort:
          type: string
          nullable: true
          description: |-
            限制思考的工作量，减少思考深度可提升速度，思考花费的 token 更少

            - `minimal`: 关闭思考，直接回答
            - `low`: 轻量思考，侧重快速响应
            - `medium`: 均衡模式，兼顾速度与深度
            - `high`: 深度分析，处理复杂问题
          enum:
            - minimal
            - low
            - medium
            - high
          default: medium
          example: medium
        response_format:
          type: object
          description: |-
            指定模型回答格式

            支持三种格式: text（默认）、json_object、json_schema
          properties:
            type:
              type: string
              description: |-
                回答格式类型

                - `text`: 默认文本格式
                - `json_object`: 模型回复内容以 JSON 对象结构组织
                - `json_schema`: 模型回复内容遵循 schema 字段定义的 JSON 结构
              enum:
                - text
                - json_object
                - json_schema
              default: text
              example: text
            json_schema:
              type: object
              description: JSON 结构体的定义（当 type 为 json_schema 时必填）
              properties:
                name:
                  type: string
                  description: 用户自定义的 JSON 结构名称
                description:
                  type: string
                  nullable: true
                  description: 回复用途描述，模型将根据此描述决定如何以该格式回复
                schema:
                  type: object
                  description: 回复格式的 JSON 格式定义，以 JSON Schema 对象的形式描述
                strict:
                  type: boolean
                  nullable: true
                  description: |-
                    是否启用严格遵循模式

                    - `true`: 模型将始终严格遵循 schema 字段中定义的格式
                    - `false`: 模型会尽可能遵循 schema 字段中定义的结构
                  default: false
              required:
                - name
                - schema
          required:
            - type
        frequency_penalty:
          type: number
          nullable: true
          description: |-
            频率惩罚系数

            **说明**:
            - 取值范围: [-2.0, 2.0]
            - 值为正时，根据新 token 在文本中的出现频率对其进行惩罚，降低模型逐字重复的可能性
          minimum: -2
          maximum: 2
          default: 0
          example: 0
        presence_penalty:
          type: number
          nullable: true
          description: |-
            存在惩罚系数

            **说明**:
            - 取值范围: [-2.0, 2.0]
            - 值为正时，根据新 token 到目前为止是否出现在文本中对其进行惩罚，增加模型谈论新主题的可能性
          minimum: -2
          maximum: 2
          default: 0
          example: 0
        logprobs:
          type: boolean
          nullable: true
          description: |-
            是否返回输出 tokens 的对数概率

            - `false`: 不返回对数概率信息
            - `true`: 返回消息内容中每个输出 token 的对数概率

            **注意**: 深度思考模型不支持该字段
          default: false
        top_logprobs:
          type: integer
          nullable: true
          description: |-
            指定每个输出 token 位置最有可能返回的 token 数量，每个 token 都有关联的对数概率

            - 取值范围: [0, 20]
            - 仅当 logprobs 为 true 时可设置

            **注意**: 深度思考模型不支持该字段
          minimum: 0
          maximum: 20
          default: 0
        logit_bias:
          type: object
          nullable: true
          description: |-
            调整指定 token 在模型输出内容中出现的概率

            **说明**:
            - 接受一个 map，键为词表中的 token ID，值为偏差值
            - 偏差值取值范围: [-100, 100]
            - -1 会减少选择的可能性，1 会增加选择的可能性
            - -100 会完全禁止选择该 token，100 会导致仅可选择该 token

            **注意**: 深度思考模型不支持该字段
          additionalProperties:
            type: integer
            minimum: -100
            maximum: 100
        tools:
          type: array
          nullable: true
          description: 待调用工具的列表，模型返回信息中可包含工具调用请求
          items:
            $ref: '#/components/schemas/Tool'
        parallel_tool_calls:
          type: boolean
          description: |-
            本次请求，模型返回是否允许包含多个待调用的工具

            - `true`: 允许返回多个待调用的工具
            - `false`: 允许返回的待调用工具数量 <= 1
          default: true
        tool_choice:
          description: |-
            本次请求，模型返回信息中是否有待调用的工具

            **字符串模式**:
            - `none`: 模型返回信息中不包含待调用的工具
            - `required`: 模型返回信息中必须包含待调用的工具
            - `auto`: 模型自行判断返回信息是否有待调用的工具（存在工具时的默认值）

            **对象模式**: 指定待调用工具的范围
          oneOf:
            - type: string
              enum:
                - none
                - auto
                - required
            - $ref: '#/components/schemas/ToolChoiceObject'
    ChatCompletionResponse:
      type: object
      properties:
        id:
          type: string
          description: 本次请求的唯一标识
          example: 0217714854126607f5a9cf8ed5b018c76e4ad3dc2810db57ffb50
        model:
          type: string
          description: 本次请求实际使用的模型名称和版本
          example: doubao-seed-2-0-pro-260215
        object:
          type: string
          enum:
            - chat.completion
          description: 响应类型，固定为 chat.completion
          example: chat.completion
        service_tier:
          type: string
          description: |-
            本次请求的服务等级

            - `default`: 默认服务等级
            - `scale`: 使用了保障包额度
          enum:
            - default
            - scale
          example: default
        created:
          type: integer
          description: 本次请求创建时间的 Unix 时间戳（秒）
          example: 1771485416
        choices:
          type: array
          description: 本次请求的模型输出内容
          items:
            $ref: '#/components/schemas/Choice'
        usage:
          $ref: '#/components/schemas/Usage'
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
              description: HTTP状态错误代码
            message:
              type: string
              description: 错误描述信息
            type:
              type: string
              description: 错误类型
            param:
              type: string
              description: 相关参数名称
            fallback_suggestion:
              type: string
              description: 错误时的建议
    Message:
      type: object
      required:
        - role
        - content
      properties:
        role:
          type: string
          description: |-
            消息角色

            - `user`: 用户消息
            - `assistant`: AI助手消息（用于多轮对话）
            - `system`: 系统提示词（设定AI的角色和行为）
            - `tool`: 工具返回的消息（工具调用场景）
          enum:
            - user
            - assistant
            - system
            - tool
          example: user
        content:
          type: array
          description: |-
            消息内容。支持两种格式：

            **1. 纯文本字符串**: 可直接传入字符串，如 `"content": "请介绍一下自己"`

            **2. 对象数组**（支持文本、图片、视频等多模态输入）：见下方示例结构
          items:
            $ref: '#/components/schemas/ContentPart'
        reasoning_content:
          type: string
          description: |-
            模型消息中思维链内容（仅 assistant 角色）

            仅在多轮对话中传入历史思维链内容时使用
        tool_calls:
          type: array
          description: 模型消息中工具调用部分（仅 assistant 角色）
          items:
            $ref: '#/components/schemas/ToolCall'
        tool_call_id:
          type: string
          description: |-
            模型生成的工具调用请求 ID（仅 tool 角色需要此字段）

            用于关联工具返回结果与模型请求，避免多工具调用时混淆信息
    Tool:
      type: object
      required:
        - type
        - function
      properties:
        type:
          type: string
          description: 工具类型，当前仅支持 function
          enum:
            - function
        function:
          type: object
          required:
            - name
          description: 函数定义
          properties:
            name:
              type: string
              description: 调用的函数名称
            description:
              type: string
              description: 函数的描述，模型会使用它来判断是否调用这个工具
            parameters:
              type: object
              description: |-
                函数请求参数，以 JSON Schema 格式描述

                **注意**:
                - 所有字段名大小写敏感
                - parameters 须是合规的 JSON Schema 对象
                - 建议用英文字段名，中文置于 description 字段中
    ToolChoiceObject:
      type: object
      required:
        - type
        - function
      description: 指定待调用工具的范围
      properties:
        type:
          type: string
          description: 调用的类型
          enum:
            - function
        function:
          type: object
          required:
            - name
          properties:
            name:
              type: string
              description: 待调用工具的名称
    Choice:
      type: object
      properties:
        index:
          type: integer
          description: 当前元素在 choices 列表的索引
          example: 0
        message:
          $ref: '#/components/schemas/AssistantMessage'
        finish_reason:
          type: string
          description: |-
            模型停止生成 token 的原因

            - `stop`: 模型输出自然结束，或因命中 stop 参数指定的字段而被截断
            - `length`: 模型输出因达到 max_tokens / max_completion_tokens / 上下文长度限制而被截断
            - `content_filter`: 模型输出被内容审核拦截
            - `tool_calls`: 模型调用了工具
          enum:
            - stop
            - length
            - content_filter
            - tool_calls
          example: stop
        logprobs:
          type: object
          nullable: true
          description: 当前内容的对数概率信息
          properties:
            content:
              type: array
              nullable: true
              description: 每个 content 元素中的 token 对数概率信息
              items:
                $ref: '#/components/schemas/LogprobContent'
        moderation_hit_type:
          type: string
          nullable: true
          description: |-
            模型输出文字含有敏感信息时，返回命中的风险分类标签

            - `severe_violation`: 模型输出文字涉及严重违规
            - `violence`: 模型输出文字涉及激进行为
          enum:
            - severe_violation
            - violence
    Usage:
      type: object
      description: 本次请求的 token 用量
      properties:
        total_tokens:
          type: integer
          description: 本次请求消耗的总 token 数量（输入 + 输出）
          example: 271
        prompt_tokens:
          type: integer
          description: 输入给模型处理的内容 token 数量
          example: 15
        prompt_tokens_details:
          type: object
          description: 输入 token 数量的细节
          properties:
            cached_tokens:
              type: integer
              description: 缓存输入内容的 token 用量
              example: 0
        completion_tokens:
          type: integer
          description: 模型输出内容花费的 token
          example: 256
        completion_tokens_details:
          type: object
          description: 输出 token 花费的细节
          properties:
            reasoning_tokens:
              type: integer
              description: 输出思维链内容花费的 token 数
              example: 0
    ContentPart:
      oneOf:
        - $ref: '#/components/schemas/TextContent'
        - $ref: '#/components/schemas/ImageContent'
        - $ref: '#/components/schemas/VideoContent'
    ToolCall:
      type: object
      properties:
        id:
          type: string
          description: 调用的工具的 ID，由模型生成
        type:
          type: string
          description: 工具类型，当前仅支持 function
          enum:
            - function
        function:
          type: object
          properties:
            name:
              type: string
              description: 需调用的函数名称
            arguments:
              type: string
              description: |-
                需调用的函数入参，JSON 格式

                **注意**: 模型并不总是生成有效的 JSON，可能会虚构出未定义的参数。建议在调用函数前，验证参数是否有效
    AssistantMessage:
      type: object
      properties:
        role:
          type: string
          description: 内容输出的角色，固定为 assistant
          enum:
            - assistant
          example: assistant
        content:
          type: string
          description: 模型生成的消息内容
          example: 你好！Doubao Seed 2.0 是字节跳动推出的新一代大语言模型，具备更强的推理、多模态理解和深度思考能力。
        reasoning_content:
          type: string
          nullable: true
          description: |-
            模型处理问题的思维链内容

            仅在开启深度思考模式时返回
        tool_calls:
          type: array
          nullable: true
          description: 模型生成的工具调用
          items:
            $ref: '#/components/schemas/ToolCall'
    LogprobContent:
      type: object
      properties:
        token:
          type: string
          description: 当前 token
        bytes:
          type: array
          nullable: true
          description: 当前 token 的 UTF-8 值，格式为整数列表
          items:
            type: integer
        logprob:
          type: number
          description: 当前 token 的对数概率
        top_logprobs:
          type: array
          description: 在当前 token 位置最有可能的标记及其对数概率列表
          items:
            type: object
            properties:
              token:
                type: string
                description: 当前 token
              bytes:
                type: array
                nullable: true
                description: 当前 token 的 UTF-8 值
                items:
                  type: integer
              logprob:
                type: number
                description: 当前 token 的对数概率
    TextContent:
      title: 文本内容
      type: object
      required:
        - type
        - text
      properties:
        type:
          type: string
          enum:
            - text
          description: 内容类型
        text:
          type: string
          description: 文本内容
          example: 请详细描述这张图片
    ImageContent:
      title: 图像内容
      type: object
      required:
        - type
        - image_url
      properties:
        type:
          type: string
          enum:
            - image_url
          description: 内容类型
        image_url:
          type: object
          required:
            - url
          properties:
            url:
              type: string
              format: uri
              description: |-
                图像URL地址或 Base64 编码

                **支持格式**:
                - 图片链接（公网可访问）
                - 图片的 Base64 编码
              example: https://example.com/image.png
            detail:
              type: string
              nullable: true
              description: |-
                理解图片的精细度

                - `low`: 低精细度
                - `high`: 高精细度
                - `xhigh`: 超高精细度
              enum:
                - low
                - high
                - xhigh
    VideoContent:
      title: 视频内容
      type: object
      required:
        - type
        - video_url
      properties:
        type:
          type: string
          enum:
            - video_url
          description: 内容类型
        video_url:
          type: object
          required:
            - url
          properties:
            url:
              type: string
              format: uri
              description: |-
                视频URL地址或 Base64 编码

                **支持格式**:
                - 视频链接（公网可访问）
                - 视频的 Base64 编码

                **注意**: 不支持理解视频中的音频内容
              example: https://example.com/video.mp4
            fps:
              type: number
              nullable: true
              description: |-
                抽帧频率

                - 取值范围: [0.2, 5]
                - 取值越高，对视频中画面变化越敏感
                - 取值越低，对视频中画面变化越迟钝，但 token 花费少，速度更快
              minimum: 0.2
              maximum: 5
              default: 1
              example: 1
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        ##Toutes les API nécessitent une authentification Bearer Token##


        **Obtenir une clé API :**


        Visitez la [Page de gestion des clés
        API](https://evolink.ai/dashboard/keys) pour obtenir votre clé API


        **Ajouter à l'en-tête de requête :**

        ```

        Authorization: Bearer YOUR_API_KEY

        ```

````